javafx.scene.control

## Class ListView.EditEvent<T>

- java.lang.Object
- - java.util.EventObject
  - - javafx.event.Event
    - - javafx.scene.control.ListView.EditEvent<T>

- Type Parameters:
    `T` - The type of the input, which is the same type as the ListView itself.
  All Implemented Interfaces:
    Serializable, Cloneable
  Enclosing class:
    ListView<T>

      public static class ListView.EditEvent<T>
      extends Event

  An `Event` subclass used specifically in ListView for representing edit-related events. It provides additional API to easily access the index that the edit event took place on, as well as the input provided by the end user.
  Since:
    JavaFX 2.0
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EventType<?>` | `ANY` Common supertype for all edit event types.

    - ### Fields inherited from class javafx.event.Event

      `consumed, eventType, NULL_SOURCE_TARGET, target`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditEvent(ListView<T> source, EventType<? extends ListView.EditEvent<T>> eventType, T newValue, int editIndex)` Creates a new EditEvent instance to represent an edit event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIndex()` Returns the index in which the edit took place.
    `T` | `getNewValue()` Returns the value of the new input provided by the end user.
    `ListView<T>` | `getSource()` Returns the ListView upon which the edit took place.
    `String` | `toString()` Returns a string representation of this `EditEvent` object.

    - ### Methods inherited from class javafx.event.Event

      `clone, consume, copyFor, fireEvent, getEventType, getTarget, isConsumed`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ANY

          public static final EventType<?> ANY

      Common supertype for all edit event types.
      Since:
        JavaFX 8.0

  - ### Constructor Detail

    - #### EditEvent

          public EditEvent(ListView<T> source,
                           EventType<? extends ListView.EditEvent<T>> eventType,
                           T newValue,
                           int editIndex)

      Creates a new EditEvent instance to represent an edit event. This event is used for `ListView.EDIT_START_EVENT`, `ListView.EDIT_COMMIT_EVENT` and `ListView.EDIT_CANCEL_EVENT` types.

  - ### Method Detail

    - #### getSource

          public ListView<T> getSource()

      Returns the ListView upon which the edit took place.
      Overrides:
        `getSource` in class `EventObject`

    - #### getIndex

          public int getIndex()

      Returns the index in which the edit took place.

    - #### getNewValue

          public T getNewValue()

      Returns the value of the new input provided by the end user.

    - #### toString

          public String toString()

      Returns a string representation of this `EditEvent` object.
      Overrides:
        `toString` in class `EventObject`
      Returns:
        a string representation of this `EditEvent` object.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2019, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.